%define upstream_name    MultiThread
%define upstream_version 0.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    A Pipeline multithreading model
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildRequires: perl(Sys::CPU)
BuildRequires: perl(Test::More)
BuildRequires: perl(threads)
BuildArch: noarch

%description
This module implements a Pipeline multithreading model. 

%prep
%setup -q -n %{upstream_name}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*





%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.900.0-12.mga10
+ Revision: 2199995
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.900.0-11.mga9
+ Revision: 1804800
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.900.0-10.mga8
+ Revision: 1495760
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.900.0-9.mga7
+ Revision: 1269883
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.900.0-8.mga6
+ Revision: 1030840
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.900.0-7.mga6
+ Revision: 938668
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.900.0-6.mga5
+ Revision: 747051
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.900.0-5.mga5
+ Revision: 685609
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.900.0-4.mga4
+ Revision: 513370
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.900.0-3.mga3
+ Revision: 370417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 15 2011 kharec <kharec> 0.900.0-2.mga2
+ Revision: 167919
- fix %%description and summary

* Mon Nov 14 2011 kharec <kharec> 0.900.0-1.mga2
+ Revision: 167822
- imported package perl-MultiThread

